import { Plugin } from 'vite';
import { Options } from 'globby';

type Option = {
    /**
     * RegExp need to be global
     * string will default to be global
     */
    search: RegExp | string;
    /**
     * use replace to replace the search result
     */
    replace: string | ((substring: string, ...args: any[]) => string);
};
type OptionWithName = Option & {
    /**
     * if set fileName,search and replace will only occur in this file
     * @deprecated
     */
    fileName?: string | RegExp;
    globPattern?: string | Array<string>;
    globOptions?: Options;
};

declare const _default: (options?: Array<OptionWithName>) => Plugin;

export { _default as default };
